Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055317 - [abrt] util-linux: bsd_command_prompt(): fdisk killed by SIGABRT
Summary: [abrt] util-linux: bsd_command_prompt(): fdisk killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41fde953995a6fa52c0a674b6ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 00:35 UTC by James Boyle
Modified: 2014-06-25 08:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-25 08:55:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: cgroup (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: core_backtrace (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: dso_list (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: environ (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: limits (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: maps (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: open_fds (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details
File: proc_pid_status (deleted)
2014-01-20 00:35 UTC, James Boyle
no flags Details

Description James Boyle 2014-01-20 00:35:27 UTC
Description of problem:
fdisk /dev/sdb of a 3TB disk with only an OpenBSD disklabel

Version-Release number of selected component:
util-linux-2.23.2-4.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        fdisk /dev/sdb
crash_function: bsd_command_prompt
executable:     /usr/sbin/fdisk
kernel:         3.12.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: Jan 19 18:17:49 bieszczady abrt-hook-ccpp[6138]: Saved core dump of pid 6137 (/usr/sbin/fdisk) to /var/tmp/abrt/ccpp-2014-01-19-18:17:49-6137 (454656 bytes)

Truncated backtrace:
Thread no. 1 (1 frames)
 #4 bsd_command_prompt at fdisks/fdiskbsdlabel.c:251

Comment 1 James Boyle 2014-01-20 00:35:31 UTC
Created attachment 852568 [details]
File: backtrace

Comment 2 James Boyle 2014-01-20 00:35:32 UTC
Created attachment 852569 [details]
File: cgroup

Comment 3 James Boyle 2014-01-20 00:35:34 UTC
Created attachment 852570 [details]
File: core_backtrace

Comment 4 James Boyle 2014-01-20 00:35:35 UTC
Created attachment 852571 [details]
File: dso_list

Comment 5 James Boyle 2014-01-20 00:35:37 UTC
Created attachment 852572 [details]
File: environ

Comment 6 James Boyle 2014-01-20 00:35:38 UTC
Created attachment 852573 [details]
File: limits

Comment 7 James Boyle 2014-01-20 00:35:40 UTC
Created attachment 852574 [details]
File: maps

Comment 8 James Boyle 2014-01-20 00:35:41 UTC
Created attachment 852575 [details]
File: open_fds

Comment 9 James Boyle 2014-01-20 00:35:43 UTC
Created attachment 852576 [details]
File: proc_pid_status

Comment 10 Karel Zak 2014-06-25 08:55:26 UTC
This problem should be fixed in util-linux v2.24.


Note You need to log in before you can comment on or make changes to this bug.